import { Component, OnInit, ViewChild, TemplateRef } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { DynaformService } from './dynaform/services/dynaform.service';

import { model, meta } from './_mock/testfields.v5';

@Component({
	selector: 'app-root',
	templateUrl: './app.component.html',
	styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {

	form: FormGroup;
	meta: StringMap;
	formMetaDataObj: StringMap;

	@ViewChild('testTemplate', { read: TemplateRef })
	tref: TemplateRef<any>;

	constructor(
		private dynaform: DynaformService
	) {
	}

	ngOnInit() {
		this.form = this.dynaform.build(model, meta);
		this.meta = this.dynaform.autoBuildModeledMeta(model, meta);
		console.log(this.form);
		this.formMetaDataObj = {...this.meta};
		delete this.formMetaDataObj.dynaformtest.label;
		delete this.formMetaDataObj.dynaformtest.type;
		console.log(this.formMetaDataObj);
	}
}

